Debian Bug report logs - #476583
amanda-server: File conflict with amanda-common

version graph

Package: amanda-server; Maintainer for amanda-server is Debian QA Group <packages@qa.debian.org>; Source for amanda-server is src:amanda.

Reported by: Andrew Moise <chops@demiurgestudios.com>

Date: Thu, 17 Apr 2008 18:57:01 UTC

Severity: serious

Merged with 488010

Found in version amanda/1:2.5.2p1-3

Fixed in version 1:2.5.2p1-4

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#476583; Package amanda-server. Full text and rfc822 format available.

Acknowledgement sent to Andrew Moise <chops@demiurgestudios.com>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Moise <chops@demiurgestudios.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: amanda-server: File conflict with amanda-common
Date: Thu, 17 Apr 2008 14:54:48 -0400
Package: amanda-server
Version: 1:2.5.2p1-2
Severity: serious
Justification: Policy 7.5.1

  When I attempt to upgrade amanda from version 2.5.2pl-2 to version
2.5.2pl-3, I get:

Preparing to replace amanda-server 1:2.5.2p1-2 (using .../amanda-server_1%3a2.5.2p1-3_i386.deb) ...
Unpacking replacement amanda-server ...
dpkg: error processing /var/cache/apt/archives/amanda-server_1%3a2.5.2p1-3_i386.deb (--unpack):
 trying to overwrite `/usr/sbin/ammt', which is also in package amanda-common
dpkg-deb: subprocess paste killed by signal (Broken pipe)

  Presumably it will start working fine once I run 'apt-get -f install',
since amanda-common was upgraded right after, but amanda-server should
still have the appropriate Replaces: field set so that it'll work the
first time.
  Cheers.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages amanda-server depends on:
ii  amanda-common      1:2.5.2p1-3           Advanced Maryland Automatic Networ
ii  bsd-mailx [mailx]  8.1.2-0.20071201cvs-2 A simple mail user agent
ii  libc6              2.7-10                GNU C Library: Shared libraries
ii  libncurses5        5.6+20080405-1        Shared libraries for terminal hand
ii  libreadline5       5.2-3                 GNU readline and history libraries
ii  mailx              1:20071201-2          Transitional package for mailx ren

amanda-server recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#476583; Package amanda-server. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 476583@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Andrew Moise <chops@demiurgestudios.com>, 476583@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#476583: amanda-server: File conflict with amanda-common
Date: Thu, 17 Apr 2008 13:05:04 -0600
tags 476583 +pending
thanks

On Thu, 2008-04-17 at 14:54 -0400, Andrew Moise wrote:
> amanda-server should still have the appropriate Replaces: field set so that 
> it'll work the first time.

Yep, thanks for catching that.  

There was already suitable Replaces: entries for each package, but I
neglected to update the version threshold after moving a couple more
binaries around.  My bad.

Fixed in my CVS for the next upload.

Bdale





Tags added: pending Request was from Bdale Garbee <bdale@gag.com> to control@bugs.debian.org. (Thu, 17 Apr 2008 19:06:27 GMT) Full text and rfc822 format available.

Merged 476583 488010. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 28 Jun 2008 16:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#476583; Package amanda-server. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #19 received at 476583@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 476583@bugs.debian.org
Subject: Re: amanda-server: File conflict with amanda-common
Date: Sun, 29 Jun 2008 11:40:35 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This bug is release-critical - since it's been pending upload for a
while, any chance you could do a release before the freeze?

Regards,
    Simon
    at the Cambridge BSP
-----BEGIN PGP SIGNATURE-----

iD8DBQFIZ2aZWSc8zVUw7HYRAmNrAKDO8uW3n7reKW0booyL8mWrZMJt9wCZAfHH
pKQYN4X/Jh7dHslIaYIZ0mQ=
=vK6t
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#476583; Package amanda-server. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #24 received at 476583@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Simon McVittie <smcv@debian.org>, 476583@bugs.debian.org
Subject: Re: Bug#476583: amanda-server: File conflict with amanda-common
Date: Sun, 29 Jun 2008 07:57:46 -0400
On Sun, 2008-06-29 at 11:40 +0100, Simon McVittie wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> This bug is release-critical - since it's been pending upload for a
> while, any chance you could do a release before the freeze?

Traveling with my family, but will try to get an upload done in the next
day or two.

Bdale





Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrew Moise <chops@demiurgestudios.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 476583-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 476583-close@bugs.debian.org
Subject: Bug#476583: fixed in amanda 1:2.5.2p1-4
Date: Sat, 16 Aug 2008 19:17:03 +0000
Source: amanda
Source-Version: 1:2.5.2p1-4

We believe that the bug you reported is fixed in the latest version of
amanda, which is due to be installed in the Debian FTP archive:

amanda-client_2.5.2p1-4_i386.deb
  to pool/main/a/amanda/amanda-client_2.5.2p1-4_i386.deb
amanda-common_2.5.2p1-4_i386.deb
  to pool/main/a/amanda/amanda-common_2.5.2p1-4_i386.deb
amanda-server_2.5.2p1-4_i386.deb
  to pool/main/a/amanda/amanda-server_2.5.2p1-4_i386.deb
amanda_2.5.2p1-4.diff.gz
  to pool/main/a/amanda/amanda_2.5.2p1-4.diff.gz
amanda_2.5.2p1-4.dsc
  to pool/main/a/amanda/amanda_2.5.2p1-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 476583@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated amanda package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 16 Aug 2008 16:03:27 -0300
Source: amanda
Binary: amanda-common amanda-server amanda-client
Architecture: source i386
Version: 1:2.5.2p1-4
Distribution: unstable
Urgency: high
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 amanda-client - Advanced Maryland Automatic Network Disk Archiver (Client)
 amanda-common - Advanced Maryland Automatic Network Disk Archiver (Libs)
 amanda-server - Advanced Maryland Automatic Network Disk Archiver (Server)
Closes: 475524 476583 486384 486739 487405
Changes: 
 amanda (1:2.5.2p1-4) unstable; urgency=high
 .
   * high priority bug fixes intended for lenny release
   * update version thresholds in Replaces to ease upgrades, closes: #476583
   * don't set maxdumpsize in the default amanda.conf, closes: #475524
   * freshen to latest standards version
   * revert chg-multi.sh.in and patch since the new version previously pulled
     in caused more problems than it solved, closes: #486384
   * undo traps on amverify exit to prevent double reports, closes: #487405
   * correct paths in amcrypt-ossl-asym(8) xml source, closes: #486739
Checksums-Sha1: 
 f2158d2fd8c45c0711022101a984078127fa040b 1117 amanda_2.5.2p1-4.dsc
 d72408c947fb0289ac29015ec6bbfd84d1029e30 50846 amanda_2.5.2p1-4.diff.gz
 fb496e616e268ea52dae70fdf3dec59f0fec5b66 1146016 amanda-common_2.5.2p1-4_i386.deb
 e1495e996ac1542c961e2696525a79ad06437d1b 411968 amanda-server_2.5.2p1-4_i386.deb
 de156d0d5b3169d250d3305063578848b3650339 173048 amanda-client_2.5.2p1-4_i386.deb
Checksums-Sha256: 
 832ea8941ec0fe50d865a45fe36be1d16e966001dac3c7c865be4c3773179101 1117 amanda_2.5.2p1-4.dsc
 03f3f112cd98fb8a852539138ace0a8ea54211c4a8394944c694443a9a075080 50846 amanda_2.5.2p1-4.diff.gz
 6ed8c83e407ff7069545ffc9cc67c297a9dfd929b15b906d619462697a81ae78 1146016 amanda-common_2.5.2p1-4_i386.deb
 3fec720b5104dc8ce9023d6604ae7007da5ce13efbea9d03f385f398f787603c 411968 amanda-server_2.5.2p1-4_i386.deb
 53f0d3fe612614062aab104303b6f40bd11c4b81e66b576420bd743033fdbef8 173048 amanda-client_2.5.2p1-4_i386.deb
Files: 
 221aaea0b6c25a684e5ee0a4cde8f68e 1117 utils optional amanda_2.5.2p1-4.dsc
 ee1e871067f3cbbff409455c72a28ddb 50846 utils optional amanda_2.5.2p1-4.diff.gz
 2fdd0afa88835c0c8780bce56e611079 1146016 utils optional amanda-common_2.5.2p1-4_i386.deb
 e738318485f014a8ccabaf7bea4142b1 411968 utils optional amanda-server_2.5.2p1-4_i386.deb
 8d062dc450b19591fe3abd5561053be3 173048 utils optional amanda-client_2.5.2p1-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIpyZvZKfAp/LPAagRAh6PAJ9aN/dTvbUVZ9lysvlBan353JUlGACfeo/F
hgje8bKWjRhdxmd5aZWHZ64=
=pg87
-----END PGP SIGNATURE-----





Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marcos Daniel Marado Torres <marcos.marado@sonae.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug no longer marked as found in version 1:2.5.1p1-2.1. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 18 Dec 2008 14:57:22 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 1:2.5.2p1-2. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 18 Dec 2008 14:57:25 GMT) Full text and rfc822 format available.

Bug marked as found in version 1:2.5.2p1-3. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 18 Dec 2008 14:57:29 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Jan 2009 07:26:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:03:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.